Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003050 [JEDI VCL] 00 JVCL Components major always 2005-06-22 07:41 2005-08-02 12:10
Reporter anonymous View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00
Summary 0003050: JvMemoryDataset Fixes & features
Description Fixes :
1) The method "Open" ; REINTRODUCE; are removed
2) I added the method "DoAfterOpen"; OVERRIDE;
3) The source code of "Open" method are divide in two parts :
   first In "OpenCursor" method
   second In "DoAfterOpen" method
4) The method "SortOnFields" are changed
5) The method "ApplyChanges" are changed
6) Two new utility routines are added : FindVarData & VarCompareValue
   this routines work with VARIANTS, and only compile with Delphi 5 or minor.
7) The method "FindDeleted" are changed
Additional Information I haved send this file in December 2004, with various bugs & features fixed and added. I see in the forum of JEDI , some questions becuase this release of the component is not applied into the CVS.
This is the LATEST version , and have incorporated the fixed bugs for others users. I check this with "Diary" version and with "WebCVS" version (1.33, last change 2 months).
Now, with this changes, is possible call then method "Open" in descending class from "TJvMemoryDataset"
Tags No tags attached.
Attached Files ? file icon JvMemoryDataset.pas [^] (77,530 bytes) 2005-06-22 07:41

- Relationships
related to 0002861closed JvMemoryDataset Fixes & features 
related to 0002498closed JvMemoryData Modifications & Bug Fixed 

-  Notes
(0007487)
obones (administrator)
2005-06-24 05:00

Do you have the previous Issue number ?
(0007650)
anonymous (viewer)
2005-07-31 16:15

The previous numbers are 0002861 and 0002498
(0007656)
obones (administrator)
2005-08-02 12:10

This is now in CVS.
Please, next time, get a real login and use it.

- Issue History
Date Modified Username Field Change
2005-06-22 07:41 anonymous New Issue
2005-06-22 07:41 anonymous File Added: JvMemoryDataset.pas
2005-06-24 05:00 obones Note Added: 0007487
2005-06-24 05:00 obones Status new => feedback
2005-07-31 16:15 anonymous Note Added: 0007650
2005-08-01 16:17 jfudickar Relationship added related to 0002861
2005-08-01 16:18 jfudickar Relationship added related to 0002498
2005-08-02 12:10 obones Status feedback => resolved
2005-08-02 12:10 obones Resolution open => fixed
2005-08-02 12:10 obones Assigned To => obones
2005-08-02 12:10 obones Note Added: 0007656


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker